/*  async01Slave serial code
 *  Fab Academy 2018 at the Waag in Amsterdam.
 *  Copy all the things, David McCallum, 2018
 *  sintheta.org
 */


#include <SoftwareSerial.h>

const int FTDIrxPin = 0;
const int FTDItxPin = 1;

const int softRxPin = 5;    // these pins based on the 6-pin ISP header
const int softTxPin = 4;

const int photoPin = 2;
const int buttonPin = 3;
const int LEDpin = 7;


byte serialByteIn = -1;      // storage for the serial input 


SoftwareSerial serialFTDI(FTDIrxPin, FTDItxPin);
SoftwareSerial serialSoft(softRxPin, softTxPin);


 void setup() {

  serialFTDI.begin(9600);
  serialSoft.begin(9600);
  pinMode(LEDpin, OUTPUT);

}

void loop() {
  
if(serialSoft.available() > 0){
    serialByteIn = serialSoft.read();
    
  if (serialByteIn == 1){ digitalWrite(LEDpin, HIGH); }   // if it receives a 1 turn the LED on, otherwise turn it off
  else {digitalWrite(LEDpin, LOW);}

  //digitalWrite(LEDpin, HIGH);
}

//else { digitalWrite(LEDpin, LOW); }



}
